// DAC.cpp : Defines the entry point for the console application.
//
#include <conio.h>
#include "stdafx.h"
#include "aiowdm.h"

int _tmain(int argc, _TCHAR* argv[])
{
    puts("LPCI-AIO16A DAC Sample\nConfiguring for Simultaneous Mode\nBoth DAC values will update at the same time\n");
	RelOutPortB(0, 0x10, 1); // configure DACs to use Simultaneous Mode

	puts("Press a key to continue.\n"); _getch();
	puts("\nWriting minimum count value into both DACs\n");
	RelOutPort(0, 0x0C, 0x000);  // load DAC 0 with 0 counts
	RelOutPort(0, 0x0E, 0x000);  // load DAC 1 with 0 counts, and output loaded counts on both DACs


	puts("Press a key to continue.\n"); _getch();
	puts("\nWriting maximum count value into both DACs\n");
	RelOutPort(0, 0x0C, 0x0FFF); // load DAC0 with 4095 (max) counts
	RelOutPort(0, 0x0E, 0x0FFF); // load DAC1 with 4095 (max) counts, and output loaded counts on both DACs

	puts("Done. Press a key to exit."); _getch();
	return 0;
}

